/*
 * @Author       : xh
 * @Date         : 2022-12-01 15:01:02
 * @LastEditors: y001554
 * @FileName     :
 */
import Vue from 'vue'

// Vue.prototype.drawerList  = []console.log('log',)

const ui = {
  drawerList: {},
  //@mark
  //@name:
  //@params:key 弹窗名称  ，params: 额外的参数
  //@des:
  show: (key, params) => {
    if (ui.drawerList[key]) {
      ui.drawerList[key].show(params)
    }
  },
  hide: (key) => {
    if (ui.drawerList[key]) {
      ui.drawerList[key].hide()
    }
  },
  addQueue: (name, obj) => {
    ui.drawerList[name] = obj
  },
  removeQueue: (name) => {
    if (ui.drawerList[name]) {
      delete ui.drawerList[name]
    }
  }
}

Vue.prototype.$ui = ui
// debugger
